/* Make the radio button controls scrollable and STYLE the radio button options and their details containers! */
/*.optionDiv {*/
/*    max-height: 150px;*/
/*    overflow-y: scroll;*/
    /*width: 115%;*/
/*    position: relative;*/
/*    left: -15px;*/
/*}*/

/*@media (min-width: 992px) {*/
/*    .optionDiv {*/
/*        width: 115%;*/
/*    }*/
/*}*/

/*@media (max-width: 991px) {*/
/*    .optionDiv {*/
/*        width: 100%;*/
/*    }*/
/*}*/

/*.controlsInnerDiv summary, .controlsInnerDiv summary:hover, .controlsInnerDiv summary:focus {*/
    /*background-color: #A4CAF7;*/
/*    background-color: #335075;*/
/*    color: white;*/
/*}*/

/*.controlsInnerDiv details[open] {*/
/*    padding-bottom: 6px;*/
/*}*/

/*.dropdownOption:hover {*/
/*    background-color: #eaebed;*/
/*}*/

/*.dropdownOption input {*/
/*    width: 10%;*/
/*    margin-right: 5%;*/
/*}*/

/*.dropdownOption label {*/
/*    width: 85%;*/
/*}*/

/*.dropdownOption {*/
/*    border-bottom: 1px solid #eaebed;*/
/*    display: inline-flex;*/
/*    flex-direction: row;*/
/*    align-items: center;*/
/*    width: 100%;*/
    /*background-color: white;*/
/*}*/


/* Style radio buttons and labels more... */
/*.dropdownOption input {*/
/*    margin-top: 0px;*/
/*}*/

/*.dropdownOption label {*/
/*    font-weight: normal;*/
/*    font-size: 16px;*/
    /*margin-bottom: 1px;*/
/*    line-height: 1.1em;*/
/*    padding: 13px 0px 4px;*/
/*}*/



/* Now using dropdowns instead of details boxes with radio buttons, style appropriately */
.controlsInnerDiv select {
    width: 100%;
    margin-bottom: 15px;
}

.controlsInnerDiv {
    padding-left: 0px;
}

@media (min-width: 992px) {
    .controlsInnerDiv {
        padding-right: 0px;
    }
    
    /* Remove vis title top margin when horizontally arrayed */
    #visTitle {
        margin-top: 0px;
    }
}



/* Add padding to the buttons' divs */
#displayDiv {
    padding-bottom: 20px;
}

#scaleDiv, #ciDiv {
    padding-top: 20px;
}



/* Style buttons nicely */
.selectedBtn {
    background-color: #335075;
    color: white;
}

.selectedBtn:hover, .selectedBtn:focus {
    color: white;
    background-color: #335075;
}

.optionButtons .btn {
    /*Making all control buttons much smaller by reducing padding */
    padding: 0px 7px;
    margin: 3px;
}

#displayBtns {
    display: flex;
    flex-wrap: nowrap;
    justify-content: center;
    flex-direction: row;
    align-items:stretch;
}


/*@media (min-width: 1200px) {*/
/*    #displayDiv #TrendsBtn {*/
/*        width: 40%;*/
/*    }*/
/*    #displayDiv #GeographicBtn {*/
/*        width: 59%;*/
/*    }*/
/*}*/

/*@media (min-width: 992px) {*/
/*    #displayDiv #TrendsBtn {*/
/*        width: 45%;*/
/*    }*/
/*    #displayDiv #GeographicBtn {*/
/*        width: 55%;*/
/*    }*/
/*}*/

/*@media (max-width: 991px) {*/
/*    #displayDiv #TrendsBtn {*/
/*        width: 25%;*/
/*    }*/
/*    #displayDiv #GeographicBtn {*/
/*        width: 35%;*/
/*    }*/
/*}*/


#GeographicBtn, #TrendsBtn, #displayBtn-map, #displayBtn-bargraph {
    /*font-size: 40px;*/
    /*height: 70px;*/
    
    width:50%;
    padding: 7px 0px;
    margin: 0px 0px 6px;
}

#GeographicBtn i, #TrendsBtn i, #displayBtn-map i, #displayBtn-bargraph i {
    font-size: 26px;
}

#GeographicBtn span, #TrendsBtn span, #displayBtn-map span, #displayBtn-bargraph span {
    display: flow;
    font-size: 16px;
}



/* Size text correctly for line graph */
#trendVisSVG .titles {
    font-size: 18px;
}

#trendVisSVG .legend text, #trendVisSVG .tick text {
    font-size: 14px;
    /*font-size: 10px;*/
}



/* Table styling */
.tableContainer {
    max-width: 100% !important;
    width: 100% !important;
    overflow-x: auto;
}

table.dataTable thead th {
    background-color: #335075;
    color: white;
}

/*.tdTable .sorting_desc .sorting_asc {*/
table.dataTable thead .sorting_desc,
table.dataTable thead .sorting_asc{
    background-color: #0B305E !important;
    color: white !important;
}



/* Tool tip styling */
div.tooltip {
    background-color: white;
    color: black;
    border: 1px solid black;
    border-radius: 5px;
    padding: 10px;
    position: fixed;
    /*min-width: 100px;*/
    max-width: 200px;
    font-size: 20px;
    
    /*display:none !important;*/
    /*opacity:0 !important;*/
    
    pointer-events:none !important;
}

.ttFuncMapRect {
    /*padding: 5px;*/
    width: 15px;
    height: 15px;
    display: inline-block;
    
    border: 1px solid #333;
}

.tooltipDiv {
    background-color: white;
    color: black;
    border: 1px solid black;
    border-radius: 5px;
    padding: 5px;
    /*position: fixed;*/
    min-width: 150px;
    max-width: 200px;
    font-size: 20px;
    
    opacity: 0;
    
    pointer-events:none !important;
}

.tooltipDiv p {
    font-size: 16px;
    /*font-size: 14px !important;*/
    padding: 0px;
    margin: 0px 0px 2px 0px;
}

.ttLines {
    display: inline;
}

.tooltipTitle {
    font-size: 16px;
    /*font-size: 14px !important;*/
    padding: 0px;
    margin: 0px 0px 2px 0px;
    text-align: center;
    font-weight: bold;
}


.ttSVGDiv {
    width: 15px;
    display: inline-block;
}

.ttSVGDiv line {
    /*stroke-width: 2px;*/
    stroke-width: 3px;
}

/* Stylize tooltip font for bargraph in CPADS */ 
#visDiv .tooltip span {
    font-size: 14px !important;
}



/* New hover interactivity for linegraph -- placing values with the relevant legend items instead. Styling the values: */
.legendHoverValue {
    /*margin-left: 0px;*/
    display: inline;
    /*width: 60px;*/
    /*display: inline-grid;*/
}

/*#html-legend .listDiv {*/
/*    grid-template-columns: 20px auto 60px;*/
/*}*/

/*#html-legend li {*/
/*    padding-right: 50px;*/
/*}*/

/* Custom hover interactivity styling for modular linegraph */
.hoverLine {
    stroke: #333;
    /*stroke-width: 2px;*/
    stroke-width: 1px;
    fill: none;
    pointer-events: none;
}

.hoverRect {
    opacity: 0;
}

.hoverDots {
    pointer-events: none;
}



/* Data source text styling */
#dataSourceDiv p {
    float: right;
    font-size: 16px;
}


/* Re-styling the download tiles at the bottom of the page, as desired */
#downloadPanels .innerPanel {
    /*display: inline-block;*/
    /*margin-bottom: 15px;*/
    /*margin: 0px 5px 15px;*/
    /*padding: 20px 15px 10px 15px;*/
    padding: 10px 10px;
    background-color: #e1e4e7;
    color: #333;
    text-align: center;
    border-radius: 5px;
}

/*#downloadPanels .downloadPanel {*/
/*    margin-bottom: 10px;*/
/*}*/

.downloadPanel a {
    color: #333;
}

.downloadPanel a:hover {
    color: #295376;
}

/*#downloadPanels {*/
/*    margin: 10px 0px 20px;*/
/*}*/


/* New version of download panels, now with flex box instead of col-sm-4... */
#downloadPanelsEqHtContainer {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: stretch;
    gap: 10px
}

#downloadPanels .downloadPanel {
    flex: auto;
}

/* Styling the new html legend */
#html-legend {
    line-height: 1.65em;
    font-size: 15px;
    min-height: 54px;
}


/* Add outline to canada group in map when hovering */
.canadaGroup:hover {
    outline: 3px solid #333;
}


/* Style the survey iFrame */
@media (min-width: 1200px) {
    #surveyIFrame {
        height: 210px;
    }
}
@media (max-width: 1199px) {
    #surveyIFrame {
        height: 230px;
    }
}
@media (max-width: 699px) {
    #surveyIFrame {
        height: 270px;
    }
}
@media (max-width: 599px) {
    #surveyIFrame {
        height: 450px;
    }
}

#surveyIFrame {
    width: 100%;
    margin-top: 30px;
    border-radius: 5px;
    border: none;
}

#surveyIFrame html body {
    padding: 0px 5px 10px;
}

/* Style bar labels as necessary */
.bar-label {
    font-size: 14px;
}

/*#visDiv .bar-label {*/
/*    font-size: 10px;*/
/*}*/

/* Also style font of axes as necessary */
#visDiv .axes .tick text {
    font-size: 14px;
    /*font-size: 10px;*/
}


/* Stylize list and collapsible for checkboxes */
#subgroupCheckboxList, #schoolyearCheckboxList {
    max-height: 100px;
    overflow-y: scroll;
    margin: 6px 0px;
}

#subgroupCheckboxDiv details, #schoolyearCheckboxDiv details {
    margin-bottom: 15px;
    padding: 0px;
    color: #333;
}

#subgroupCheckboxDiv summary, #schoolyearCheckboxDiv summary {
    margin: 0px;
    width: 100%;
    color: #333;
}

#subgroupCheckboxDiv summary {
    padding: 0px 5px 0px;
    font-size: 18px;
}

#schoolyearCheckboxDiv summary {
    font-size: 20px;
    font-weight: bold;
    padding-left: 5px;
}

/* Override default styling of checkboxes */
.subgroupCheckboxLi, .schoolyearCheckboxLi {
    margin: 0px 0px 7px;
}

#subgroupCheckboxDiv label, #schoolyearCheckboxDiv label {
    padding-left: 25px;
}

#subgroupCheckboxDiv input, #schoolyearCheckboxDiv input {
    margin-left: 5px;
}


/* Stylize legend items when their bars are hovered over */
.hoveredLegendItem {
    font-weight: bold;
    /*border: 1px solid #333;*/
    /*border-radius: 5px;*/
    margin-left: 10px !important;
    margin-right: 10px !important;
}
.hoveredBar {
    stroke: black;
    stroke-dasharray: 5 0;
}
/*.val0:hover, .val1:hover, .val2:hover, .val3:hover, .val4:hover, .val5:hover, .val6:hover, .val7:hover, .val8:hover, .val9:hover, .val10:hover, .val11:hover, .val12:hover {*/
/*    font-weight: bold;*/
/*    border: 1px solid #333;*/
/*    border-radius: 5px;*/
/*}*/


/* Style the map legend for the new CSUS */
#visMapSVG .legend text {
    font-size:20px;
}

#visMapSVG .legend-title {
    font-weight: bold;
}